> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get events



## OpenAPI

````yaml get /beta/guardian-ops/events
openapi: 3.0.1
info:
  title: abusix-api
  version: '2026-04-08T06:45:02Z'
servers:
  - url: https://api.abusix.com
security: []
paths:
  /beta/guardian-ops/events:
    get:
      parameters:
        - name: event_type
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: string
        - name: order
          in: query
          schema:
            type: string
        - name: cursor
          in: query
          schema:
            type: string
        - name: customer_id
          in: query
          schema:
            type: string
        - name: date_after
          in: query
          schema:
            type: string
        - name: date_before
          in: query
          schema:
            type: string
        - name: case_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventList'
        '400':
          description: 400 response
          content: {}
        '401':
          description: 401 response
          content: {}
      security:
        - abusix-api-gateway-authorizer-prod: []
components:
  schemas:
    EventList:
      required:
        - items
      type: object
      properties:
        items:
          type: array
          description: Array of event summaries for the current page
          items:
            required:
              - event_date
              - event_id
              - event_type
              - sender_email
            type: object
            properties:
              domain:
                type: string
                description: Domain associated with the event
              event_date:
                type: string
                description: Timestamp of the event
                format: date-time
              event_id:
                type: string
                description: Unique event identifier
              event_type:
                type: string
                description: Type of event
              ip:
                type: string
                description: IP address associated with the event
              sender_email:
                type: string
                description: Email of the report sender
                format: email
        next_cursor:
          type: string
          description: Cursor for the next page, null if no more results
  securitySchemes:
    abusix-api-gateway-authorizer-prod:
      type: http
      scheme: bearer
      bearerFormat: JWT

````